Subject: Re: linux-next: manual merge of the hid tree

From: Greg KH <[email-masked]>
Date: Sun, 24 Aug 2008 21:49:56 -0700

On Mon, Aug 25, 2008 at 02:26:31PM +1000, Stephen Rothwell wrote:
> Hi Jiri,
> 
> Today's linux-next merge of the hid tree got a conflict in
> drivers/hid/usbhid/hid-core.c between commit
> 42c057049eb3ca9bad38fb0acc6290771a11d9ff ("USB: remove warn() macro from
> usb.h") from the usb tree and commit
> 128fc1f24bbb042b8d586dfba4db9ee7caac52bd ("HID: indent switches/cases")
> from the hid tree.
> 
> I did the obvious fixups (see below).
> 
> Jiri, you should be able to apply the appropriate part of Greg's patch to
> your tree as it only depends on stuff that is already in Linus' tree.  I
> have added that partial patch below. (Greg, do you want to Sign-off on
> that, please?)  (I don't mind if the patch is in both trees - Greg you
> might consider breaking up those warn() and info() (and err()?) removal
> patches and sending them to the appropriate maintainers.)

They are going to get split up and sent to them later this week.

thanks,

greg k-h